- Home
- API Enriched
- Tenant And Identity
- web
- Assign domain owner.
Assign domain owner.
POST
/api/web/namespaces/system/tenant/domain_owner/assign
const url = 'https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/tenant/domain_owner/assign';const options = { method: 'POST', headers: {Authorization: '<Authorization>', 'Content-Type': 'application/json'}, body: '{"email":"hello@example.com"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://example-corp.console.ves.volterra.io/api/v1/api/production/us-east-1/namespaces/default/api/web/namespaces/system/tenant/domain_owner/assign \ --header 'Authorization: <Authorization>' \ --header 'Content-Type: application/json' \ --data '{ "email": "hello@example.com" }'Assign domain owner tries to assign domain owner to user in the request. It checks that requester is domain owner as well. It implies such steps:
- mark user as domain owner
- if user is SSO
- mark user as F5 Distributed Cloud managed
- send update password email
- set admin roles in system, shared, * namespaces NOTE: previous roles (which was explicitly assigned to this user) will be deleted.
Authorizations
Section titled “Authorizations”Request Bodyrequired
Section titled “Request Bodyrequired”Media typeapplication/json
Domain owner assignment request
Domain owner assignment request.
object
email
Email
Assign domain owner to user with this email.
string format: email
Examplegenerated
{ "email": "hello@example.com"}Responses
Section titled “Responses”A successful response.
Media typeapplication/json
Empty
This can be used for messages where no values are needed.
object
Examplegenerated
{}Returned when operation is not authorized.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when there is no permission to access resource.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when resource is not found.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation on resource is conflicting with current value.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when operation has been rejected as it is happening too frequently.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server encountered an error in processing API.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when service is unavailable temporarily.
Media typeapplication/json
string format: string
Examplegenerated
exampleReturned when server timed out processing request.
Media typeapplication/json
string format: string
Examplegenerated
example